{
    attributes = (
        {
            columnName = FANN_KEY; 
            externalType = NUMBER; 
            name = fannKey; 
            precision = 4; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = FHAB_NIVEAU; 
            externalType = NUMBER; 
            name = fhabNiveau; 
            precision = 2; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = FSPN_KEY; 
            externalType = NUMBER; 
            name = fspnKey; 
            precision = 12; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = FSUP_2_1; 
            externalType = NUMBER; 
            internalInfo = {_nameInObjectStore = FSUP_2_DOMAINE; }; 
            name = fsup21; 
            precision = 6; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = FSUP_2_2; 
            externalType = NUMBER; 
            internalInfo = {_nameInObjectStore = FSUP_2_LANGUE; }; 
            name = fsup22; 
            precision = 6; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = FSUP_2_3; 
            externalType = NUMBER; 
            internalInfo = {_nameInObjectStore = FSUP_2_LANGUE; }; 
            name = fsup23; 
            precision = 6; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = FSUP_2_4; 
            externalType = NUMBER; 
            internalInfo = {_nameInObjectStore = FSUP_2_LANGUE; }; 
            name = fsup24; 
            precision = 6; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = FSUP_2_5; 
            externalType = NUMBER; 
            internalInfo = {_nameInObjectStore = FSUP_2_LANGUE; }; 
            name = fsup25; 
            precision = 6; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = FSUP_3_1; 
            externalType = NUMBER; 
            internalInfo = {_nameInObjectStore = FSUP_3_ACCES; }; 
            name = fsup31; 
            precision = 6; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = FSUP_3_2; 
            externalType = NUMBER; 
            internalInfo = {_nameInObjectStore = FSUP_3_ACCES; }; 
            name = fsup32; 
            precision = 6; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = FSUP_3_3; 
            externalType = NUMBER; 
            internalInfo = {_nameInObjectStore = FSUP_3_ACCES; }; 
            name = fsup33; 
            precision = 6; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = FSUP_4_1; 
            externalType = NUMBER; 
            internalInfo = {_nameInObjectStore = FSUP_4_EXIGENCE; }; 
            name = fsup41; 
            precision = 6; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = FSUP_4_2; 
            externalType = NUMBER; 
            internalInfo = {_nameInObjectStore = FSUP_4_NOTATION; }; 
            name = fsup42; 
            precision = 6; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = FSUP_4_3; 
            externalType = NUMBER; 
            internalInfo = {_nameInObjectStore = FSUP_4_NOTATION; }; 
            name = fsup43; 
            precision = 6; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = FSUP_4_4; 
            externalType = NUMBER; 
            internalInfo = {_nameInObjectStore = FSUP_4_ORGANISATION; }; 
            name = fsup44; 
            precision = 6; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = FSUP_4_4_A1; 
            externalType = NUMBER; 
            name = fsup44A1; 
            precision = 6; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = FSUP_4_4_A2; 
            externalType = NUMBER; 
            name = fsup44A2; 
            precision = 6; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = FSUP_4_4_B1; 
            externalType = NUMBER; 
            name = fsup44B1; 
            precision = 6; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = FSUP_4_4_B2; 
            externalType = NUMBER; 
            name = fsup44B2; 
            precision = 6; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = FSUP_4_4_C1; 
            externalType = NUMBER; 
            name = fsup44C1; 
            precision = 6; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = FSUP_4_4_C2; 
            externalType = NUMBER; 
            name = fsup44C2; 
            precision = 6; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = FSUP_4_4_D1; 
            externalType = NUMBER; 
            name = fsup44D1; 
            precision = 6; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = FSUP_4_4_D2; 
            externalType = NUMBER; 
            name = fsup44D2; 
            precision = 6; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = FSUP_4_4_E1; 
            externalType = NUMBER; 
            name = fsup44E1; 
            precision = 6; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = FSUP_4_4_E2; 
            externalType = NUMBER; 
            name = fsup44E2; 
            precision = 6; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = FSUP_4_5; 
            externalType = NUMBER; 
            internalInfo = {_nameInObjectStore = FSUP_4_ORGANISATION; }; 
            name = fsup45; 
            precision = 6; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = FSUP_5_1; 
            externalType = NUMBER; 
            internalInfo = {_nameInObjectStore = FSUP_5_AVENIR; }; 
            name = fsup51; 
            precision = 6; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = FSUP_5_2; 
            externalType = NUMBER; 
            internalInfo = {_nameInObjectStore = FSUP_5_STATUT; }; 
            name = fsup52; 
            precision = 6; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = FSUP_6_1; 
            externalType = NUMBER; 
            internalInfo = {_nameInObjectStore = FSUP_6_INFORMATION; }; 
            name = fsup61; 
            precision = 6; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = FSUP_6_2; 
            externalType = NUMBER; 
            internalInfo = {_nameInObjectStore = FSUP_6_RENSEIGNEMENT; }; 
            name = fsup62; 
            precision = 6; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = FSUP_8_1; 
            externalType = NUMBER; 
            internalInfo = {_nameInObjectStore = FSUP_6_INFORMATION; }; 
            name = fsup81; 
            precision = 6; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = MPAR_KEY; 
            externalType = NUMBER; 
            name = mparKey; 
            precision = 12; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (fspnKey, mparKey, fannKey, fhabNiveau); 
    className = EOGenericRecord; 
    classProperties = (
        fspnKey, 
        mparKey, 
        fsup21, 
        fsup22, 
        fsup31, 
        fsup44, 
        fsup41, 
        fsup51, 
        fsup52, 
        fsup62, 
        fsup61, 
        fannKey, 
        toScolFormationSpecialisation, 
        toScolFormationAnnee, 
        toScolMaquetteParcours, 
        fsup42, 
        fsup23, 
        fsup24, 
        fsup25, 
        fsup33, 
        fsup32, 
        fsup44A1, 
        fsup44A2, 
        fsup44B1, 
        fsup44B2, 
        fsup44C1, 
        fsup44C2, 
        fsup44D1, 
        fsup44D2, 
        fsup44E1, 
        fsup44E2, 
        fsup45, 
        fsup81, 
        fsup43, 
        fhabNiveau
    ); 
    externalName = SCOL_FORMATION_SUPPLEMENT; 
    fetchSpecificationDictionary = {}; 
    name = ScolFormationSupplement; 
    primaryKeyAttributes = (fspnKey, mparKey, fannKey, fhabNiveau); 
    relationships = (
        {
            destination = ScolFormationAnnee; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = fannKey; sourceAttribute = fannKey; }); 
            name = toScolFormationAnnee; 
        }, 
        {
            destination = ScolFormationSpecialisation; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = fspnKey; sourceAttribute = fspnKey; }); 
            name = toScolFormationSpecialisation; 
        }, 
        {
            destination = ScolMaquetteParcours; 
            isToMany = N; 
            joinSemantic = EOLeftOuterJoin; 
            joins = ({destinationAttribute = mparKey; sourceAttribute = mparKey; }); 
            name = toScolMaquetteParcours; 
        }
    ); 
}
